<?php
/**
 * Handle the main admin menu
 * 
 * @package WorldCup
 * @version $Id: wcp-menu.class.php 233367 2010-04-25 08:24:37Z ianhaycox $
 * @author ian
 * Copyright Ian Haycox, 2010
 *
 */
class WorldCupMenu extends WorldCupAdmin {


	function menu() {
		
		$teams = new WorldCupTeams(0);
		$venues = new WorldCupVenues(1);
		$stages = new WorldCupStages(2);
		$matches = new WorldCupMatches(3);
		
?>
		<div class="wrap">
		
		<h2><?php _e('World Cup Manager', WCP_TD) ?></h2>
		
		<div id="<?php echo $this->prefix; ?>tabs" class="ui-tabs">
		<ul class="ui-tabs-nav">
			<li><a href="#<?php echo $this->prefix; ?>tabs-1"><?php _e("Teams", WCP_TD); ?></a></li>
			<li><a href="#<?php echo $this->prefix; ?>tabs-2"><?php _e("Venues", WCP_TD); ?></a></li>
			<li><a href="#<?php echo $this->prefix; ?>tabs-3"><?php _e("Stages", WCP_TD); ?></a></li>
			<li><a href="#<?php echo $this->prefix; ?>tabs-4"><?php _e("Matches", WCP_TD); ?></a></li>
			<li><a href="#<?php echo $this->prefix; ?>tabs-5"><?php _e("Group Results", WCP_TD); ?></a></li>
			<li><a href="#<?php echo $this->prefix; ?>tabs-6"><?php _e("Knockout Results", WCP_TD); ?></a></li>
		</ul>
		</div>

		<div id="<?php echo $this->prefix; ?>tabs-1" class="ui-tabs-hide">
			<?php echo $teams->teams(); ?>
		</div>
		
		<div id="<?php echo $this->prefix; ?>tabs-2" class="ui-tabs-hide">
			<?php echo $venues->venues(); ?>
		</div>
		
		<div id="<?php echo $this->prefix; ?>tabs-3" class="ui-tabs-hide">
			<?php echo $stages->stages(); ?>
		</div>
		
		<div id="<?php echo $this->prefix; ?>tabs-4" class="ui-tabs-hide">
			<?php echo $matches->matches(); ?>
		</div>
		
		<div id="<?php echo $this->prefix; ?>tabs-5" class="ui-tabs-hide">
			<?php echo $this->group_results(); ?>
		</div>
		
		<div id="<?php echo $this->prefix; ?>tabs-6" class="ui-tabs-hide">
			<?php echo $this->knockout_results(); ?>
		</div>
		
		</div>
<?php
	}
	
	function group_results() {
		$report = new WorldCupReport();
		
?>
		<div class="wrap" style="padding-bottom:1em;">
		
		<h2><?php _e('Group Results', WCP_TD) ?></h2>

		<?php echo $report->group_tables(0, 1, '50%'); ?>
		
		</div>
<?php
		
	}
	
	function knockout_results() {
		$report = new WorldCupReport();
		
?>
		<div class="wrap" style="padding-bottom:1em;">
		
		<h2><?php _e('Knockout Results', WCP_TD) ?></h2>

		<?php echo $report->knockout(); ?>
		
		</div>
<?php
	}
	
}