<?php
/**
 * Handle the main admin welcome screen
 * 
 * @package WorldCup
 * @version $Id: wcp-overview.class.php 233367 2010-04-25 08:24:37Z ianhaycox $
 * @author ian
 * Copyright Ian Haycox, 2010
 *
 */
class WorldCupOverview extends WorldCupAdmin {
	
	
	function dashboard() {
		global $wpdb;
		$disabled = '';
		
		$teams    = intval( $wpdb->get_var("SELECT COUNT(*) FROM {$wpdb->prefix}{$this->prefix}team") );
		$venues = intval( $wpdb->get_var("SELECT COUNT(*) FROM {$wpdb->prefix}{$this->prefix}venue") );
		$matches    = intval( $wpdb->get_var("SELECT COUNT(*) FROM {$wpdb->prefix}{$this->prefix}match") );
		$predictions = intval( $wpdb->get_var("SELECT COUNT(*) FROM {$wpdb->prefix}{$this->prefix}prediction") );
		
		if ($teams || $venues || $matches) {
			$disabled = ' disabled ';
		}
		
		?>
		
		<p class="sub"><?php _e('At a Glance', WCP_TD); ?></p>
		<div class="table">
			<table>
				<tbody>
					<tr class="first">
						<td class="first b"><?php echo $teams; ?></td>
						<td class="t"><?php echo _n( 'Team', 'Teams', $teams, WCP_TD ); ?></td>
					</tr>
					<tr class="first">
						<td class="first b"><?php echo $venues; ?></td>
						<td class="t"><?php echo _n( 'Venue', 'Venues', $venues, WCP_TD ); ?></td>
					</tr>
					<tr class="first">
						<td class="first b"><?php echo $matches; ?></td>
						<td class="t"><?php echo _n( 'Match', 'Matches', $matches, WCP_TD ); ?></td>
					</tr>
					<tr class="first">
						<td class="first b"><?php echo $predictions; ?></td>
						<td class="t"><?php echo _n( 'Prediction', 'Predictions', $predictions, WCP_TD ); ?></td>
					</tr>
				</tbody>
			</table>
		</div>
		<div class="versions">
			<?php _e('Here you can import your teams, venues and match schedules.', WCP_TD) ?>
			<?php if(current_user_can($this->prefix . 'manager')): ?>
				<form method="POST">
				<p class="submit">
					<input <?php echo $disabled; ?> type="submit" name="<?php echo $this->prefix; ?>import" class="button rbutton" value="<?php _e('Import', WCP_TD) ?>" />
				</p>
				</form>
			<?php endif; ?>
			<p>
			<?php
				$userlevel = '<span class="b">' . (current_user_can($this->prefix . 'manager') ? __('World Cup Manager', WCP_TD) : __('no', WCP_TD)) . '</span>';
		        printf(__('You currently have %s rights.', WCP_TD), $userlevel);
		    ?>
		    </p>
		</div>
		<?php
	}
	
	function news() {
			// get feed_messages
			require_once(ABSPATH . WPINC . '/rss.php');
		?>
		<div class="rss-widget">
		    <?php
		      $rss = @fetch_rss('http://ianhaycox.com/worldcuppredictor/feed/rss2');
		
		      if ( isset($rss->items) && 0 != count($rss->items) )
		      {
		        $rss->items = array_slice($rss->items, 0, 3);
		        echo '<ul class="wcp2010-settings">';
				foreach ($rss->items as $item)
		        {
		        ?>
		          <li><a class="rsswidget" title="" href='<?php echo wp_filter_kses($item['link']); ?>'><?php echo wp_specialchars($item['title']); ?></a>
				  <span class="rss-date"><?php echo date("F jS, Y", strtotime($item['pubdate'])); ?></span> 
		          <div class="rssSummary"><strong><?php echo human_time_diff(strtotime($item['pubdate'], time())); ?></strong> - <?php echo $item['description']; ?></div></li>
		        <?php
		        }
		        echo "</ul>";
		      }
		      else
		      {
		        ?>
		        <p><?php printf(__('Newsfeed could not be loaded.  Check the <a href="%s">front page</a> to check for updates.', WCP_TD), 'http://ianhaycox.com/worldcuppredictor') ?></p>
		        <?php
		      }
		    ?>
		</div>
		<?php
	}
	
	
	function donators() {
		$i = 0;
		$list = '';
		
		$supporter = $this->get_remote_array('http://ianhaycox.com/donations.php');
		
		// Ensure that this is a array
		if ( !is_array($supporter) )
			return _e('Thank you to all donators...', WCP_TD);
			
		$supporter = array_reverse($supporter);
		
		foreach ($supporter as $name => $url) {
			$i++;
			if ($url)
				$list .= "<li><a href=\"$url\">$name</a></li>\n";
			else
				$list .= "<li>$name</li>";
			if ($i > 6)
				break;
		}
		?>
		<div id="dashboard_server_settings" class="dashboard-widget-holder">
			<div class="wcp-dashboard-widget">
			  	<div class="dashboard-widget-content">
			  		<ul class="wcp2010-settings">
					<?php echo $list; ?>
					</ul>
					<p class="textright" style="margin-right:10px">
						<a href="http://www.ianhaycox.com/donate" title="<?php _e('Donate', WCP_TD); ?>"><img alt="<?php _e('Donate', WCP_TD); ?>" src="https://www.paypal.com/en_US/i/btn/btn_donate_LG.gif" /></a>
					</p>
				</div>
		    </div>
		</div>
		<?php	
	}
	
	function get_server_info() {
		global $wpdb;
		
		// Get MYSQL Version
		$sqlversion = $wpdb->get_var("SELECT VERSION() AS version");
		// GET SQL Mode
		$mysqlinfo = $wpdb->get_results("SHOW VARIABLES LIKE 'sql_mode'");
		if (is_array($mysqlinfo)) $sql_mode = $mysqlinfo[0]->Value;
		if (empty($sql_mode)) $sql_mode = __('Not set', WCP_TD);
		// Get PHP Safe Mode
		if(ini_get('safe_mode')) $safe_mode = __('On', WCP_TD);
		else $safe_mode = __('Off', WCP_TD);
		
	?>
		<li><?php _e('Operating System', WCP_TD); ?> : <span><?php echo PHP_OS; ?></span></li>
		<li><?php _e('Server', WCP_TD); ?> : <span><?php echo $_SERVER["SERVER_SOFTWARE"]; ?></span></li>
		<li><?php _e('MYSQL Version', WCP_TD); ?> : <span><?php echo $sqlversion; ?></span></li>
		<li><?php _e('SQL Mode', WCP_TD); ?> : <span><?php echo $sql_mode; ?></span></li>
		<li><?php _e('PHP Version', WCP_TD); ?> : <span><?php echo PHP_VERSION; ?></span></li>
		<li><?php _e('PHP Safe Mode', WCP_TD); ?> : <span><?php echo $safe_mode; ?></span></li>
	<?php
	}
	
	function server() {
		?>
		<div id="dashboard_server_settings" class="dashboard-widget-holder wp_dashboard_empty">
			<div class="wcp-dashboard-widget">
			  	<div class="dashboard-widget-content">
		      		<ul class="wcp2010-settings">
		      		<?php $this->get_server_info(); ?>
			   		</ul>
				</div>
		    </div>
		</div>
		<?php	
	}
	
	function support() {
		?>
		<div id="dashboard_server_settings" class="dashboard-widget-holder wp_dashboard_empty">
			<div class="wcp-dashboard-widget">
			  	<div class="dashboard-widget-content">
			  		<a href="http://www.ianhaycox.com/contact">Ian Haycox</a>
				</div>
		    </div>
		</div>
		<?php	
	}
	
	function overview() {
		
		add_meta_box('dashboard_right_now', __('Welcome to World Cup Predictor V ' . self::VERSION, WCP_TD), array(&$this, 'dashboard'), 'wcp_overview', 'left', 'core');
		add_meta_box('dashboard_primary', __('Latest News', WCP_TD), array(&$this, 'news'), 'wcp_overview', 'right', 'core');
		add_meta_box('wcp_donators', __('Recent donators', WCP_TD), array(&$this, 'donators'), 'wcp_overview', 'right', 'core');
		add_meta_box('wcp_server', __('Server Settings', WCP_TD), array(&$this, 'server'), 'wcp_overview', 'right', 'core');
		add_meta_box('wcp_settings', __('Settings', WCP_TD), array(&$this, 'settings'), 'wcp_overview', 'left', 'core');
		add_meta_box('wcp_support', __('Support', WCP_TD), array(&$this, 'support'), 'wcp_overview', 'left', 'core');
		
		if (isset($_POST[$this->prefix.'import'])) {
			$this->import();
		}
	?>
	<div class="wrap wcp-wrap">
		<h2><?php _e('World Cup Predictor Overview', WCP_TD) ?></h2>
		<div id="dashboard-widgets-wrap" class="wcp-overview">
		    <div id="dashboard-widgets" class="metabox-holder">
				<div id="post-body">
					<div id="dashboard-widgets-main-content">
						<div class="postbox-container" style="width:49%;">
							<?php do_meta_boxes('wcp_overview', 'left', ''); ?>
						</div>
			    		<div class="postbox-container" style="width:49%;">
							<?php do_meta_boxes('wcp_overview', 'right', ''); ?>
						</div>						
					</div>
				</div>
		    </div>
		</div>
	</div>
	<script type="text/javascript">
		//<![CDATA[
		jQuery(document).ready( function($) {
			// postboxes setup
			postboxes.add_postbox_toggles('ngg-overview');
		});
		//]]>
	</script>
	<?php
		
	}

	/**
	 * Read an array from a remote url
	 * 
	 * @param string $url
	 * @return array of the content
	 */
	function get_remote_array($url) {
		if ( function_exists('wp_remote_request') ) {
					
			$options = array();
			$options['headers'] = array(
				'User-Agent' => 'World Cup Predictor V' . self::VERSION . '; (' . get_bloginfo('url') .')'
			 );
			 
			$response = wp_remote_request($url, $options);
			
			if ( is_wp_error( $response ) )
				return false;
		
			if ( 200 != $response['response']['code'] )
				return false;
		   	
			$content = unserialize($response['body']);
	
			if (is_array($content)) 
				return $content;
		}
		
		return false;	
	}

	function import() {
		global $wpdb;
		
		$sql = "INSERT INTO `{$wpdb->prefix}{$this->prefix}match` (`match_id`, `match_no`, `kickoff`, `home_team_id`, `away_team_id`, `home_goals`, `away_goals`, `home_penalties`, `away_penalties`, `venue_id`, `is_result`, `extra_time`, `stage_id`, `wwhen`) VALUES
		(2, 1, '2010-06-11 16:00:00', 29, 20, 0, 0, 0, 0, 1, 0, 0, 1, '2010-04-24 15:09:48'),
		(3, 2, '2010-06-11 20:30:00', 32, 11, 0, 0, 0, 0, 2, 0, 0, 1, '2010-04-24 15:09:58'),
		(4, 17, '2010-06-16 20:30:00', 29, 32, 0, 0, 0, 0, 3, 0, 0, 1, '2010-04-24 15:10:06'),
		(5, 18, '2010-06-17 20:30:00', 11, 20, 0, 0, 0, 0, 4, 0, 0, 1, '2010-04-13 16:16:59'),
		(6, 33, '2010-06-22 16:00:00', 20, 32, 0, 0, 0, 0, 5, 0, 0, 1, '2010-04-13 16:18:02'),
		(7, 34, '2010-06-22 16:00:00', 11, 29, 0, 0, 0, 0, 6, 0, 0, 1, '2010-04-13 16:18:36'),
		(8, 3, '2010-06-12 16:00:00', 3, 23, 0, 0, 0, 0, 7, 0, 0, 2, '2010-04-13 16:27:16'),
		(9, 4, '2010-06-12 13:30:00', 19, 14, 0, 0, 0, 0, 8, 0, 0, 2, '2010-04-13 16:28:40'),
		(10, 19, '2010-06-17 16:00:00', 14, 23, 0, 0, 0, 0, 6, 0, 0, 2, '2010-04-13 16:32:21'),
		(11, 20, '2010-06-17 13:30:00', 3, 19, 0, 0, 0, 0, 1, 0, 0, 2, '2010-04-13 16:33:16'),
		(12, 35, '2010-06-22 20:30:00', 23, 19, 0, 0, 0, 0, 9, 0, 0, 2, '2010-04-13 16:34:13'),
		(13, 36, '2010-06-22 20:30:00', 14, 3, 0, 0, 0, 0, 4, 0, 0, 2, '2010-04-13 16:34:46'),
		(14, 5, '2010-06-12 20:30:00', 10, 33, 0, 0, 0, 0, 5, 0, 0, 3, '2010-04-13 17:10:52'),
		(15, 6, '2010-06-13 13:30:00', 1, 28, 0, 0, 0, 0, 4, 0, 0, 3, '2010-04-13 17:11:39'),
		(16, 22, '2010-06-18 20:30:00', 28, 33, 0, 0, 0, 0, 7, 0, 0, 3, '2010-04-13 17:12:20'),
		(17, 23, '2010-06-18 20:30:00', 10, 1, 0, 0, 0, 0, 2, 0, 0, 3, '2010-04-13 17:13:34'),
		(18, 37, '2010-06-23 16:00:00', 28, 10, 0, 0, 0, 0, 8, 0, 0, 3, '2010-04-13 17:15:42'),
		(19, 38, '2010-06-23 16:00:00', 33, 1, 0, 0, 0, 0, 3, 0, 0, 3, '2010-04-13 17:15:21'),
		(20, 7, '2010-06-13 20:30:00', 12, 4, 0, 0, 0, 0, 9, 0, 0, 4, '2010-04-13 17:27:03'),
		(21, 8, '2010-06-13 13:00:00', 26, 13, 0, 0, 0, 0, 3, 0, 0, 4, '2010-04-13 17:28:06'),
		(22, 21, '2010-06-18 13:30:00', 12, 26, 0, 0, 0, 0, 8, 0, 0, 4, '2010-04-13 17:28:53'),
		(23, 24, '2010-06-19 16:00:00', 13, 4, 0, 0, 0, 0, 5, 0, 0, 4, '2010-04-13 17:30:10'),
		(24, 39, '2010-06-23 20:30:00', 13, 12, 0, 0, 0, 0, 1, 0, 0, 4, '2010-04-13 17:30:57'),
		(25, 40, '2010-06-23 20:30:00', 4, 26, 0, 0, 0, 0, 10, 0, 0, 4, '2010-04-13 17:31:24'),
		(26, 9, '2010-06-14 13:30:00', 21, 9, 0, 0, 0, 0, 1, 0, 0, 5, '2010-04-13 17:32:45'),
		(27, 10, '2010-06-14 16:00:00', 17, 6, 0, 0, 0, 0, 6, 0, 0, 5, '2010-04-13 17:33:51'),
		(28, 25, '2010-06-19 13:30:00', 21, 17, 0, 0, 0, 0, 9, 0, 0, 5, '2010-04-13 17:35:58'),
		(29, 26, '2010-06-19 20:30:00', 6, 9, 0, 0, 0, 0, 3, 0, 0, 5, '2010-04-13 17:36:50'),
		(30, 43, '2010-06-24 20:30:00', 9, 17, 0, 0, 0, 0, 5, 0, 0, 5, '2010-04-13 17:37:55'),
		(31, 44, '2010-06-24 20:30:00', 6, 21, 0, 0, 0, 0, 2, 0, 0, 5, '2010-04-13 17:38:16'),
		(32, 11, '2010-06-14 20:30:00', 16, 24, 0, 0, 0, 0, 2, 0, 0, 6, '2010-04-13 17:39:11'),
		(33, 12, '2010-06-15 13:30:00', 22, 27, 0, 0, 0, 0, 5, 0, 0, 6, '2010-04-13 17:40:27'),
		(34, 27, '2010-06-20 13:30:00', 27, 24, 0, 0, 0, 0, 6, 0, 0, 6, '2010-04-13 17:41:22'),
		(35, 28, '2010-06-20 16:00:00', 16, 22, 0, 0, 0, 0, 10, 0, 0, 6, '2010-04-13 17:42:36'),
		(36, 41, '2010-06-24 16:00:00', 27, 16, 0, 0, 0, 0, 7, 0, 0, 6, '2010-04-13 17:43:13'),
		(37, 42, '2010-06-24 16:00:00', 24, 22, 0, 0, 0, 0, 4, 0, 0, 6, '2010-04-13 17:43:49'),
		(38, 13, '2010-06-15 16:00:00', 8, 25, 0, 0, 0, 0, 8, 0, 0, 7, '2010-04-13 17:45:22'),
		(39, 14, '2010-06-15 20:30:00', 5, 18, 0, 0, 0, 0, 7, 0, 0, 7, '2010-04-13 17:46:00'),
		(40, 29, '2010-06-20 20:30:00', 5, 8, 0, 0, 0, 0, 1, 0, 0, 7, '2010-04-13 17:46:45'),
		(41, 30, '2010-06-21 13:30:00', 25, 18, 0, 0, 0, 0, 2, 0, 0, 7, '2010-04-13 17:47:32'),
		(42, 45, '2010-06-25 16:00:00', 25, 5, 0, 0, 0, 0, 9, 0, 0, 7, '2010-04-13 17:48:36'),
		(43, 46, '2010-06-25 16:00:00', 18, 8, 0, 0, 0, 0, 10, 0, 0, 7, '2010-04-13 17:49:23'),
		(44, 15, '2010-06-16 13:30:00', 15, 7, 0, 0, 0, 0, 10, 0, 0, 8, '2010-04-13 17:50:08'),
		(45, 16, '2010-06-16 16:00:00', 30, 31, 0, 0, 0, 0, 9, 0, 0, 8, '2010-04-13 17:50:49'),
		(46, 31, '2010-06-21 16:00:00', 7, 31, 0, 0, 0, 0, 8, 0, 0, 8, '2010-04-13 17:51:30'),
		(47, 32, '2010-06-21 20:30:00', 30, 15, 0, 0, 0, 0, 7, 0, 0, 8, '2010-04-13 17:52:20'),
		(48, 47, '2010-06-25 20:30:00', 7, 30, 0, 0, 0, 0, 3, 0, 0, 8, '2010-04-13 17:53:05'),
		(49, 48, '2010-06-25 20:30:00', 31, 15, 0, 0, 0, 0, 6, 0, 0, 8, '2010-04-13 17:53:37'),
		(50, 49, '2010-06-26 16:00:00', 37, 38, 0, 0, 0, 0, 8, 0, 0, 9, '2010-04-24 12:33:32'),
		(51, 50, '2010-06-26 20:30:00', 41, 48, 0, 0, 0, 0, 5, 0, 0, 9, '2010-04-24 13:06:53'),
		(52, 51, '2010-06-27 16:00:00', 42, 47, 0, 0, 0, 0, 6, 0, 0, 9, '2010-04-24 13:08:35'),
		(53, 52, '2010-06-27 20:30:00', 40, 39, 0, 0, 0, 0, 1, 0, 0, 9, '2010-04-24 13:11:06'),
		(54, 53, '2010-06-28 16:00:00', 43, 50, 0, 0, 0, 0, 9, 0, 0, 9, '2010-04-24 13:26:03'),
		(55, 54, '2010-06-28 20:30:00', 45, 52, 0, 0, 0, 0, 1, 0, 0, 9, '2010-04-24 13:27:16'),
		(56, 55, '2010-06-29 16:00:00', 44, 49, 0, 0, 0, 0, 3, 0, 0, 9, '2010-04-24 13:37:21'),
		(57, 56, '2010-06-29 16:00:00', 46, 51, 0, 0, 0, 0, 2, 0, 0, 9, '2010-04-24 13:38:13'),
		(58, 57, '2010-07-02 16:00:00', 57, 58, 0, 0, 0, 0, 8, 0, 0, 10, '2010-04-24 13:40:09'),
		(59, 58, '2010-07-02 20:30:00', 53, 54, 0, 0, 0, 0, 1, 0, 0, 10, '2010-04-24 13:42:26'),
		(60, 59, '2010-07-03 16:00:00', 56, 55, 0, 0, 0, 0, 2, 0, 0, 10, '2010-04-24 13:43:23'),
		(61, 60, '2010-07-03 20:30:00', 59, 60, 0, 0, 0, 0, 7, 0, 0, 10, '2010-04-24 13:44:40'),
		(62, 61, '2010-07-06 20:30:00', 62, 61, 0, 0, 0, 0, 2, 0, 0, 11, '2010-04-24 13:45:41'),
		(63, 62, '2010-07-07 20:30:00', 63, 64, 0, 0, 0, 0, 9, 0, 0, 11, '2010-04-24 13:46:25'),
		(64, 63, '2010-07-10 20:30:00', 67, 68, 0, 0, 0, 0, 8, 0, 0, 13, '2010-04-24 13:47:00'),
		(65, 64, '2010-07-11 20:30:00', 65, 66, 0, 0, 0, 0, 1, 0, 0, 12, '2010-04-24 13:47:51')";
		$wpdb->query($sql);
		
		$sql = "INSERT INTO `{$wpdb->prefix}{$this->prefix}stage` (`stage_id`, `stage_name`, `is_group`, `sort_order`, `wwhen`) VALUES
		(1, 'Group A', 1, 0, '2010-04-16 10:49:42'),
		(2, 'Group B', 1, 1, '2010-04-16 10:50:42'),
		(3, 'Group C', 1, 2, '2010-04-16 10:50:49'),
		(4, 'Group D', 1, 4, '2010-04-16 10:51:03'),
		(5, 'Group E', 1, 5, '2010-04-16 10:51:15'),
		(6, 'Group F', 1, 6, '2010-04-16 10:51:25'),
		(7, 'Group G', 1, 7, '2010-04-16 10:51:34'),
		(8, 'Group H', 1, 8, '2010-04-16 10:51:43'),
		(9, 'Last 16', 0, 9, '2010-04-16 10:52:13'),
		(10, 'Quarter-finals', 0, 10, '2010-04-16 10:52:30'),
		(11, 'Semi-finals', 0, 11, '2010-04-16 10:52:37'),
		(12, 'Finals', 0, 13, '2010-04-16 10:52:45'),
		(13, 'Runner Up', 0, 12, '2010-04-16 10:53:19')";
		$wpdb->query($sql);
		
		$sql = "INSERT INTO `{$wpdb->prefix}{$this->prefix}team` (`team_id`, `name`, `country`, `team_url`, `wwhen`) VALUES
		(1, 'Algeria', 'alg', '', '2010-04-24 14:13:01'),
		(3, 'Argentina', 'arg', '', '2010-04-13 13:44:54'),
		(4, 'Australia', 'aus', '', '2010-04-13 13:45:20'),
		(5, 'Brazil', 'bra', '', '2010-04-13 13:45:28'),
		(6, 'Cameroon', 'cmr', '', '2010-04-13 13:45:42'),
		(7, 'Chile', 'chi', '', '2010-04-13 13:45:53'),
		(8, 'C&ocirc;te d\'Ivoire', 'civ', '', '2010-04-13 13:48:34'),
		(9, 'Denmark', 'den', '', '2010-04-13 13:48:44'),
		(10, 'England', 'eng', '', '2010-04-13 13:48:58'),
		(11, 'France', 'fra', '', '2010-04-13 13:49:07'),
		(12, 'Germany', 'ger', '', '2010-04-13 13:49:17'),
		(13, 'Ghana', 'gha', '', '2010-04-13 13:49:31'),
		(14, 'Greece', 'gre', '', '2010-04-13 13:49:43'),
		(15, 'Honduras', 'hon', '', '2010-04-13 13:50:08'),
		(16, 'Italy', 'ita', '', '2010-04-13 13:50:16'),
		(17, 'Japan', 'jpn', '', '2010-04-13 13:50:25'),
		(18, 'Korea DPR', 'prk', '', '2010-04-13 13:50:41'),
		(19, 'Korea Republic', 'kor', '', '2010-04-13 13:50:57'),
		(20, 'Mexico', 'mex', '', '2010-04-13 13:51:07'),
		(21, 'Netherlands', 'ned', '', '2010-04-13 13:51:23'),
		(22, 'New Zealand', 'nzl', '', '2010-04-13 13:51:35'),
		(23, 'Nigeria', 'nga', '', '2010-04-13 13:51:46'),
		(24, 'Paraguay', 'par', '', '2010-04-13 13:52:05'),
		(25, 'Portugal', 'por', '', '2010-04-13 13:52:22'),
		(26, 'Serbia', 'srb', '', '2010-04-13 13:52:57'),
		(27, 'Slovakia', 'svk', '', '2010-04-13 13:53:12'),
		(28, 'Slovenia', 'svn', '', '2010-04-13 13:53:24'),
		(29, 'South Africa', 'rsa', '', '2010-04-13 13:53:35'),
		(30, 'Spain', 'esp', '', '2010-04-13 13:53:42'),
		(31, 'Switzerland', 'sui', '', '2010-04-13 13:54:00'),
		(32, 'Uruguay', 'uru', '', '2010-04-13 13:54:18'),
		(33, 'USA', 'usa', '', '2010-04-13 13:54:24'),
		(37, 'Winner Group A', 'xxx', '', '2010-04-24 12:28:13'),
		(38, 'Second Group B', 'xxx', '', '2010-04-24 12:28:39'),
		(39, 'Second Group A', 'xxx', '', '2010-04-24 12:29:22'),
		(40, 'Winner Group B', 'xxx', '', '2010-04-24 12:54:49'),
		(41, 'Winner Group C', 'xxx', '', '2010-04-24 12:55:07'),
		(42, 'Winner Group D', 'xxx', '', '2010-04-24 12:55:21'),
		(43, 'Winner Group E', 'xxx', '', '2010-04-24 12:55:30'),
		(44, 'Winner Group F', 'xxx', '', '2010-04-24 12:55:41'),
		(45, 'Winner Group G', 'xxx', '', '2010-04-24 12:55:53'),
		(46, 'Winner Group H', 'xxx', '', '2010-04-24 12:56:20'),
		(47, 'Second Group C', 'xxx', '', '2010-04-24 12:56:27'),
		(48, 'Second Group D', 'xxx', '', '2010-04-24 12:56:36'),
		(49, 'Second Group E', 'xxx', '', '2010-04-24 12:56:49'),
		(50, 'Second Group F', 'xxx', '', '2010-04-24 12:56:57'),
		(51, 'Second Group G', 'xxx', '', '2010-04-24 12:57:06'),
		(52, 'Second Group H', 'xxx', '', '2010-04-24 12:57:15'),
		(53, 'Winner Match 49', 'xxx', '', '2010-04-24 12:59:18'),
		(54, 'Winner Match 50', 'xxx', '', '2010-04-24 13:00:44'),
		(55, 'Winner Match 51', 'xxx', '', '2010-04-24 13:00:58'),
		(56, 'Winner Match 52', 'xxx', '', '2010-04-24 13:01:07'),
		(57, 'Winner Match 53', 'xxx', '', '2010-04-24 13:01:17'),
		(58, 'Winner Match 54', 'xxx', '', '2010-04-24 13:03:13'),
		(59, 'Winner Match 55', 'xxx', '', '2010-04-24 13:03:19'),
		(60, 'Winner Match 56', 'xxx', '', '2010-04-24 13:03:25'),
		(61, 'Winner Match 57', 'xxx', '', '2010-04-24 13:03:31'),
		(62, 'Winner Match 58', 'xxx', '', '2010-04-24 13:03:38'),
		(63, 'Winner Match 59', 'xxx', '', '2010-04-24 13:03:46'),
		(64, 'Winner Match 60', 'xxx', '', '2010-04-24 13:04:14'),
		(65, 'Winner Match 61', 'xxx', '', '2010-04-24 13:04:33'),
		(66, 'Winner Match 62', 'xxx', '', '2010-04-24 13:04:45'),
		(67, 'Loser Match 61', 'xxx', '', '2010-04-24 13:05:06'),
		(68, 'Loser Match 62', 'xxx', '', '2010-04-24 13:05:16')";
		$wpdb->query($sql);
		
		$sql = "INSERT INTO `{$wpdb->prefix}{$this->prefix}venue` (`venue_id`, `venue_name`, `venue_url`, `stadium`, `wwhen`) VALUES
		(1, 'Johannesburg', '', 'Soccer City', '2010-04-24 14:10:43'),
		(2, 'Cape Town', '', 'Cape Town Stadium', '2010-04-24 14:09:52'),
		(3, 'Pretoria', '', 'Loftus Versfeld Stadium', '2010-04-24 14:12:36'),
		(4, 'Polokwane', '', 'Peter Mokaba Stadium', '2010-04-24 14:12:01'),
		(5, 'Rustenburg', '', 'Royal Bafokeng Stadium', '2010-04-24 14:12:13'),
		(6, 'Bloemfontein', '', 'Free State Stadium', '2010-04-24 14:11:13'),
		(7, 'Johannesburg', '', 'Ellis Park Stadium', '2010-04-24 14:10:25'),
		(8, 'Port Elizabeth', '', 'Nelson Mandela Bay Stadium', '2010-04-24 14:11:34'),
		(9, 'Durban', '', 'Moses Mabhida Stadium', '2010-04-24 14:10:08'),
		(10, 'Nelspruit', '', 'Mbombela Stadium', '2010-04-24 14:11:45')";
		$wpdb->query($sql);
		
		$this->setMessage(__('Match data imported', WCP_TD));
		$this->printMessage();
		
	}

}
