<?php
/**
 * @package WorldCup
 * @version $Id: wcp-results.class.php 236599 2010-05-02 14:29:16Z ianhaycox $
 * @author ian
 * Copyright Ian Haycox, 2010
 *
 * Match Results Administration functions for the WorldCup plugin.
 *
 */

class WorldCupResults extends WorldCupAdmin {

	
	var $tab;
	
	/*
	 * Constructor
	 */
	function __construct($tab) {
		$this->tab = $tab;
		parent::__construct();
	}
	
	/*
	 * Display and manage matches
	 */
	function results() {
		global $wpdb;
		
		if (isset($_POST[$this->prefix.'scoreMatch']) && isset($_POST['match_id'])) {
			$this->setMessage(__("Prediction points updated.", WCP_TD));
		}
?>
		<div class="wrap">
		
		<h2><?php _e('Assign prediction scores for completed matches', WCP_TD) ?></h2>
		
		<p><?php _e('Select each newly completed match to assign users\' scores.', WCP_TD); ?> <a href="admin.php?page=<?php echo $this->prefix; ?>config#<?php echo $this->prefix; ?>_tabs-4"><?php echo _e('Enter Match Results', WCP_TD);?></a></p>
		
		<?php $this->printMessage();
		
		/*
		 * Show the current match results in a table
		 */
		$sql = "SELECT match_id, match_no, DATE_FORMAT(kickoff,'%%b %%e %%k:%%i') AS kickoff, h.name AS home_team_name, a.name AS away_team_name,
					home_goals, away_goals, stage_name, is_result, m.wwhen
				FROM 
					{$wpdb->prefix}{$this->prefix}match m,
					{$wpdb->prefix}{$this->prefix}stage s,
					{$wpdb->prefix}{$this->prefix}team h,
					{$wpdb->prefix}{$this->prefix}team a
				WHERE
					m.stage_id = s.stage_id AND
					m.home_team_id = h.team_id AND m.away_team_id = a.team_id AND
					is_result = 1
				ORDER BY
					kickoff DESC";
					
		$result = $wpdb->get_results( $wpdb->prepare($sql) , OBJECT );

?>		
		<form style="padding-top:1em;" name="listmatches" method="post" action="<?php echo $_SERVER['PHP_SELF'] ?>?page=<?php echo $this->prefix; ?>predictions">
		<?php wp_nonce_field( $this->prefix . 'list-matches' ) ?>
		<table class="<?php echo $this->prefix; ?>table" width="90%">
		<thead>
		<tr>
			<th scope="col"><?php _e('Sel', WCP_TD) ?></th>
			<th scope="col"><?php _e('ID', WCP_TD) ?></th>
			<th scope="col"><?php _e('#', WCP_TD) ?></th>
			<th scope="col"><?php _e('Stage', WCP_TD) ?></th>
			<th scope="col"><?php _e('Kickoff', WCP_TD) ?></th>
			<th scope="col"><?php _e('Team', WCP_TD) ?></th>
			<th scope="col"><?php _e('A', WCP_TD) ?></th>
			<th scope="col">&nbsp;</th>
			<th scope="col"><?php _e('B', WCP_TD) ?></th>
			<th scope="col"><?php _e('Team', WCP_TD) ?></th>
			<th scope="col"><?php _e('Last Modified', WCP_TD) ?></th>
		</tr></thead>
		<tbody>
<?php
		foreach ($result as $row) {
?>
			<tr>
				<td><input type="checkbox" value="<?php echo $row->match_id; ?>" name ="match_id[<?php echo $row->match_id;?>]"/></td>
				<td><?php echo $row->match_id; ?></td>
				<td><?php echo $this->unclean($row->match_no); ?></td>
				<td><?php echo $this->unclean($row->stage_name); ?></td>
				<td><?php echo $row->kickoff; ?></td>
				<td><?php echo $this->unclean($row->home_team_name); ?></td>
				<td><?php echo $this->unclean($row->home_goals); ?></td>
				<td>-</td>
				<td><?php echo $this->unclean($row->away_goals); ?></td>
				<td><?php echo $this->unclean($row->away_team_name); ?></td>
				<td><?php echo $row->wwhen; ?></td>
			</tr>
<?php
		}
?>
		</tbody>
		</table>
		<p>
			<input type="submit" style="padding:0.5em 0;" name="<?php echo $this->prefix; ?>scoreMatch" value="<?php _e( 'Score Selected', WCP_TD ); ?>" class="button-primary" />		
		</p>
		</form>
		
		</div>
<?php
	}
		
}
?>